Subject: bug#54715: 28.0.92; crash when X server died

From: Po Lu <[email-masked]>
Date: Wed, 06 Apr 2022 08:43:43 +0800

Ken Raeburn <[email-masked]> writes:

> To clarify: I used to run Emacs as a daemon (which would’ve been
> relevant if it meant there was another, invisible terminal frame), but
> apparently I stopped a while ago.  That’s what I meant that my use of
> it had “fallen by the wayside”.  (Perhaps I should’ve just not
> mentioned it.)  So with both instances of the local display connection
> dead at the same time, there are no working frames left.

Ah, thanks for clarifying.  I suppose there is no initial frame in that
case, so Eli's proposal about not calling redisplay_preserve_echo_area
seems reasonable to me.